#!/usr/bin/perl
use strict;
use warnings;
use Module::Build;

my $builder = Module::Build -> new(
  module_name       => 'PDF::Poppler',
  license           => 'lgpl',
  dist_author       => 'Torsten Schoenfeld <kaffeetisch at gmx dot de>',
  dist_version_from => 'lib/PDF/Poppler.pm',
  requires => {
      'Glib::Object::Introspection' => 0.01,
      'Gtk2'                        => 1.080,
  },
  add_to_cleanup    => [ 'PDF-Poppler-*' ],
);

$builder -> create_build_script();
